function init(hero) {
    hero.setName("Spoiler/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("Comics");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.hood");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:black_canarys_tonfas");
    hero.addEquipment("fiskheroes:bo_staff");
    hero.addEquipment("fiskheroes:grappling_gun");
    
    hero.addPowers("uhp:spoiler_suit");
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.25, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.40, 1);
    hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);

    hero.addKeyBind("UTILITY_BELT", "Toggle Utility Belt", 1);    
    hero.addKeyBind("AIM", "key.aim", 2);

    hero.setDefaultScale(0.98);  
    
    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:grappling_gun";
}